##
##  ircii.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         ircii
Summary:      Internet Relay Chat (IRC) Client
URL:          http://www.irchelp.org/irchelp/ircii/
Vendor:       Michael Sandrof, Matthew Green
Packager:     The OpenPKG Project
Distribution: OpenPKG [BASE]
Group:        Network
License:      BSD
Version:      20021103
Release:      20021112

#   list of sources
Source0:      ftp://ircii.warped.com/pub/ircII/ircii-%{version}.tar.gz

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206, gcc
PreReq:       OpenPKG, openpkg >= 20020206
AutoReq:      no
AutoReqProv:  no

%description
    ircII is the classical Unix IRC client.

%prep
    %setup -q

%build
    libs=""
    case "%{l_target}" in
        *-solaris* ) libs="-lsocket -lnsl" ;;
    esac
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    LIBS="$libs" \
    ./configure \
        --prefix=%{l_prefix} \
        --disable-ipv6
    %{l_make} %{l_mflags -O}

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_make} %{l_mflags} install DESTDIR=$RPM_BUILD_ROOT
    rm $RPM_BUILD_ROOT%{l_prefix}/bin/irc
    mv $RPM_BUILD_ROOT%{l_prefix}/bin/irc-%{version} \
       $RPM_BUILD_ROOT%{l_prefix}/bin/irc
    mv $RPM_BUILD_ROOT%{l_prefix}/man/man1/ircII.1 \
       $RPM_BUILD_ROOT%{l_prefix}/man/man1/irc.1
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* 2> /dev/null || true
    rm -f "$RPM_BUILD_ROOT%{l_prefix}/share/irc/help/!"
    rm -f "$RPM_BUILD_ROOT%{l_prefix}/share/irc/help/:"
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

